Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.civics.service.impl
Class SamCivicsServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.civics.service.impl.SamCivicsServiceImpl

All Implemented Interfaces:
  SamCivicsService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class SamCivicsServiceImpl

extends Object
implements SamCivicsService, ConfigurationModuleBootstrap.ModuleBootstrapHook

The Class SamCivicsServiceImpl. Implements : `SamCivicsService`

Constructor Summary
`SamCivicsServiceImpl()` default constructor, needed for ModuleBootstrapHook.
`SamCivicsServiceImpl(SessionValidator sessionValidator)` Instantiates a new consultation service impl.

Method Summary
`void` | `bootstrap()`
`FindCNKResponse` | `findCNK(X509Certificate certificate, PrivateKey privateKey, FindCNKRequest request)` Find CNK
`FindParagraphTextResponse` | `findParagraphText(X509Certificate certificate, PrivateKey privateKey, ParagraphAndVersesRequestType request)` Find paragraph text.
`FindReimbursementConditionsResponse` | `findReimbursementConditions(X509Certificate certificate, PrivateKey privateKey, FindReimbursementConditionsRequest request)` Find reimbursement conditions.
`GetAddedDocumentsResponse` | `getAddedDocuments(X509Certificate certificate, PrivateKey privateKey, ParagraphAndVersesRequestType request)` Gets the added documents.
`GetParagraphExclusionsResponse` | `getParagraphExclusions(X509Certificate certificate, PrivateKey privateKey, ParagraphRequestType request)` Gets the paragraph exclusions.
`GetParagraphIncludedSpecialitiesResponse` | `getParagraphIncludedSpecialties(X509Certificate certificate, PrivateKey privateKey, ParagraphRequestType request)` Gets the paragraph included specialties.
`GetProfessionalAuthorisationsResponse` | `getProfessionalAuthorizations(X509Certificate certificate, PrivateKey privateKey, GetProfessionalAuthorisationsRequest request)` Gets the professional authorizations.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamCivicsServiceImpl

    public SamCivicsServiceImpl(SessionValidator sessionValidator)

  Instantiates a new consultation service impl.

  Parameters:
    `sessionValidator` - the session validator

### SamCivicsServiceImpl

    public SamCivicsServiceImpl()

  default constructor, needed for ModuleBootstrapHook.

Method Detail

### findParagraphText

    public FindParagraphTextResponse findParagraphText(X509Certificate certificate,
                                                       PrivateKey privateKey,
                                                       ParagraphAndVersesRequestType request)
                                                throws CivicsBusinessConnectorException,
                                                       TechnicalConnectorException,
                                                       SessionManagementException

  Find paragraph text.

  Specified by:
    `findParagraphText` in interface `SamCivicsService`
  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the find paragraph text response
  Throws:
    `SessionManagementException`
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception

### getParagraphIncludedSpecialties

    public GetParagraphIncludedSpecialitiesResponse getParagraphIncludedSpecialties(X509Certificate certificate,
                                                                                    PrivateKey privateKey,
                                                                                    ParagraphRequestType request)
                                                                             throws CivicsBusinessConnectorException,
                                                                                    TechnicalConnectorException,
                                                                                    SessionManagementException

  Gets the paragraph included specialties.

  Specified by:
    `getParagraphIncludedSpecialties` in interface `SamCivicsService`
  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the paragraph included specialties
  Throws:
    `SessionManagementException`
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception

### getParagraphExclusions

    public GetParagraphExclusionsResponse getParagraphExclusions(X509Certificate certificate,
                                                                 PrivateKey privateKey,
                                                                 ParagraphRequestType request)
                                                          throws CivicsBusinessConnectorException,
                                                                 TechnicalConnectorException,
                                                                 SessionManagementException

  Gets the paragraph exclusions.

  Specified by:
    `getParagraphExclusions` in interface `SamCivicsService`
  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the paragraph exclusions
  Throws:
    `SessionManagementException`
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception

### getProfessionalAuthorizations

    public GetProfessionalAuthorisationsResponse getProfessionalAuthorizations(X509Certificate certificate,
                                                                               PrivateKey privateKey,
                                                                               GetProfessionalAuthorisationsRequest request)
                                                                        throws CivicsBusinessConnectorException,
                                                                               TechnicalConnectorException,
                                                                               SessionManagementException

  Gets the professional authorizations.

  Specified by:
    `getProfessionalAuthorizations` in interface `SamCivicsService`
  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the professional authorizations
  Throws:
    `SessionManagementException`
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception

### getAddedDocuments

    public GetAddedDocumentsResponse getAddedDocuments(X509Certificate certificate,
                                                       PrivateKey privateKey,
                                                       ParagraphAndVersesRequestType request)
                                                throws CivicsBusinessConnectorException,
                                                       TechnicalConnectorException,
                                                       SessionManagementException

  Gets the added documents.

  Specified by:
    `getAddedDocuments` in interface `SamCivicsService`
  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the added documents
  Throws:
    `SessionManagementException`
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception

### findReimbursementConditions

    public FindReimbursementConditionsResponse findReimbursementConditions(X509Certificate certificate,
                                                                           PrivateKey privateKey,
                                                                           FindReimbursementConditionsRequest request)
                                                                    throws CivicsBusinessConnectorException,
                                                                           TechnicalConnectorException,
                                                                           SessionManagementException

  Find reimbursement conditions.

  Specified by:
    `findReimbursementConditions` in interface `SamCivicsService`
  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the find reimbursement conditions response
  Throws:
    `SessionManagementException`
    `CivicsBusinessConnectorException` - the business connector exception
    `TechnicalConnectorException` - the technical connector exception

### findCNK

    public FindCNKResponse findCNK(X509Certificate certificate,
                                   PrivateKey privateKey,
                                   FindCNKRequest request)
                            throws CivicsBusinessConnectorException,
                                   TechnicalConnectorException,
                                   SessionManagementException

  Description copied from interface: `SamCivicsService`
  Find CNK

  Specified by:
    `findCNK` in interface `SamCivicsService`
  Parameters:
    `certificate` - the certificate
    `privateKey` - the private key
    `request` - the request
  Returns:
    the find reimbursement conditions response
  Throws:
    `SessionManagementException`
    `CivicsBusinessConnectorException`
    `TechnicalConnectorException` - the technical connector exception
  See Also:
    `SamCivicsService.findCNK(java.security.cert.X509Certificate, java.security.PrivateKey, be.fgov.ehealth.samcivics.type.v1.FindCNKRequest)`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.